Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1066884 - Please modify /sysprep file in /etc/ovirt-engine/sysprep folder.
Summary: Please modify /sysprep file in /etc/ovirt-engine/sysprep folder.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.4.0
Assignee: Roy Golan
QA Contact: Pavel Novotny
URL:
Whiteboard: virt
Depends On:
Blocks: rhev3.4snapshot2
TreeView+ depends on / blocked
 
Reported: 2014-02-19 10:00 UTC by Yoshinori Takahashi
Modified: 2018-12-05 17:24 UTC (History)
13 users (show)

Fixed In Version: av6
Doc Type: Bug Fix
Doc Text:
The default paths to 'sysprep' files are now stored in the OS information definition /etc/ovirt-engine/osinfo.conf.d/00-defaults.properties. The content of files 'sysprep.2k8x64' and 'sysprep.2k8' now reflects their file names. 'sysprep.2k8' contains 'processorArchitecture="x86"' and 'sysprep.2k8x64' contains 'processorArchitecture="amd64"'.
Clone Of:
Environment:
Last Closed: 2014-06-09 15:04:33 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0506 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Virtualization Manager 3.4.0 update 2014-06-09 18:55:38 UTC
oVirt gerrit 26083 None None None Never
oVirt gerrit 26214 None None None Never

Description Yoshinori Takahashi 2014-02-19 10:00:27 UTC
Description of problem:

Please modify /sysprep file's name and also modify vds_option parameter of sysprep.


Version-Release number of selected component (if applicable):

rhevm-backend-3.3.0-0.46 version.

How reproducible:


 /etc/ovirt-engine/sysprep/sysprep.2k12x64
./etc/ovirt-engine/sysprep/sysprep.2k3
./etc/ovirt-engine/sysprep/sysprep.2k8     <----this is x64 bit sysprep file
./etc/ovirt-engine/sysprep/sysprep.2k8x64  <---- this is x86 bit sysprep file.
./etc/ovirt-engine/sysprep/sysprep.w7
./etc/ovirt-engine/sysprep/sysprep.w7x64
./etc/ovirt-engine/sysprep/sysprep.w8
./etc/ovirt-engine/sysprep/sysprep.w8x64
./etc/ovirt-engine/sysprep/sysprep.xp


snip from  vds_option in the engine db.


362	SysPrep2K8Path	                /etc/ovirt-engine/gsysprep/sysprep.2k8x86	general
364	SysPrep2K8x64Path	        /etc/ovirt-engine/gsysprep/sysprep.2k8	general
363	SysPrep2K8R2Path	        /etc/ovirt-engine/gsysprep/sysprep.2k8	general
367	SysPrepWindows7Path	        /etc/ovirt-engine/gsysprep/sysprep.w7	general
368	SysPrepWindows7x64Path	        /etc/ovirt-engine/gsysprep/sysprep.w7x64	general
369	SysPrepWindows8Path	        /etc/ovirt-engine/gsysprep/sysprep.w8	general
370	SysPrepWindows8x64Path	        /etc/ovirt-engine/gsysprep/sysprep.w8x64	general
371	SysPrepWindows2012x64Path	/etc/ovirt-engine/gsysprep/sysprep.2k12x64	general

Actual results:


 /etc/ovirt-engine/sysprep/sysprep.2k12x64
./etc/ovirt-engine/sysprep/sysprep.2k3
./etc/ovirt-engine/sysprep/sysprep.2k8     <----this is x64 bit sysprep file
./etc/ovirt-engine/sysprep/sysprep.2k8x64  <---- this is x86 bit sysprep file.
./etc/ovirt-engine/sysprep/sysprep.w7
./etc/ovirt-engine/sysprep/sysprep.w7x64
./etc/ovirt-engine/sysprep/sysprep.w8
./etc/ovirt-engine/sysprep/sysprep.w8x64
./etc/ovirt-engine/sysprep/sysprep.xp


>Contents of sysprep.2k8

<?xml version="1.0" encoding="utf-8"?>
<unattend xmlns="urn:schemas-microsoft-com:unattend">
    <settings pass="specialize">
        <component name="Microsoft-Windows-UnattendedJoin" processorArchitecture="amd64" publicKeyToken="31bf3856ad364e35" language="neutral" versionScope="nonSxS" xmlns:wcm="http://schemas.microsoft.com/WMIConfig/2002/State" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
            <Identification>


>Contents of sysprep.2k8x64

<?xml version="1.0" encoding="utf-8"?>
<unattend xmlns="urn:schemas-microsoft-com:unattend">
    <settings pass="specialize">
        <component name="Microsoft-Windows-Shell-Setup" processorArchitecture="x86" publicKeyToken="31bf3856ad364e35" language="neutral" versionScope="nonSxS" xmlns:wcm="http://schemas.microsoft.com/WMIConfig/2002/State" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
            <ComputerName>$ComputerName$</ComputerName>


snip from  vds_option in the engine db.


362	SysPrep2K8Path	                /etc/ovirt-engine/gsysprep/sysprep.2k8x86	general
364	SysPrep2K8x64Path	        /etc/ovirt-engine/gsysprep/sysprep.2k8	general
363	SysPrep2K8R2Path	        /etc/ovirt-engine/gsysprep/sysprep.2k8	general
367	SysPrepWindows7Path	        /etc/ovirt-engine/gsysprep/sysprep.w7	general
368	SysPrepWindows7x64Path	        /etc/ovirt-engine/gsysprep/sysprep.w7x64	general
369	SysPrepWindows8Path	        /etc/ovirt-engine/gsysprep/sysprep.w8	general
370	SysPrepWindows8x64Path	        /etc/ovirt-engine/gsysprep/sysprep.w8x64	general
371	SysPrepWindows2012x64Path	/etc/ovirt-engine/gsysprep/sysprep.2k12x64	general


     -> We can not find /etc/ovirt-engine/gsysprep folder.


Expected results:

Please modify sysprep file name and db's data.



Additional info:

Comment 1 Michal Skrivanek 2014-03-06 13:39:15 UTC
the "gsysprep" typo has been fixed in the meantim I think, but I'm not sure about the other stuff

Comment 2 Roy Golan 2014-03-25 15:31:12 UTC
should the rest of the Architecture values should be x86 for OS which are 32 bit i.e 2k8? 

e.g - grep Architecture sysprep.2k8

 <component name="Microsoft-Windows-Shell-Setup" processorArchitecture="amd64"

Comment 8 Pavel Novotny 2014-04-11 12:46:46 UTC
Verified in rhevm-3.4.0-0.13.beta3.el6ev.noarch (av6).

Verification:

Issue #1 - wrong paths to sysprep files:

Starting from 3.4, the default paths to sysprep files are no longer stored in DB vdc_options, but in OS info definition /etc/ovirt-engine/osinfo.conf.d/00-defaults.properties.

# cd /etc/ovirt-engine/osinfo.conf.d/
# grep -i sysprep ./*
./00-defaults.properties:os.windows_xp.sysprepPath.value = ${ENGINE_USR}/conf/sysprep/sysprep.xp
./00-defaults.properties:os.windows_2003.sysprepPath.value = ${ENGINE_USR}/conf/sysprep/sysprep.2k3
./00-defaults.properties:os.windows_2008.sysprepPath.value = ${ENGINE_USR}/conf/sysprep/sysprep.2k8
./00-defaults.properties:os.windows_2003x64.sysprepPath.value = ${ENGINE_USR}/conf/sysprep/sysprep.2k3
./00-defaults.properties:os.windows_7.sysprepPath.value = ${ENGINE_USR}/conf/sysprep/sysprep.w7
./00-defaults.properties:os.windows_7x64.sysprepPath.value = ${ENGINE_USR}/conf/sysprep/sysprep.w7x64
./00-defaults.properties:os.windows_2008x64.sysprepPath.value = ${ENGINE_USR}/conf/sysprep/sysprep.2k8x64
./00-defaults.properties:os.windows_8.sysprepPath.value = ${ENGINE_USR}/conf/sysprep/sysprep.w8
./00-defaults.properties:os.windows_8x64.sysprepPath.value = ${ENGINE_USR}/conf/sysprep/sysprep.w8x64
./00-defaults.properties:os.windows_2012x64.sysprepPath.value = ${ENGINE_USR}/conf/sysprep/sysprep.2k12x64

From the above result, sysprep files are now located in /usr/share/ovirt-engine/conf/sysprep/ directory.


Issue #2 - switched content of files sysprep.2k8x64 and sysprep.2k8:

Both files now have correct content, i.e., sysprep.2k8 contains 'processorArchitecture="x86"' and sysprep.2k8x64 contains 'processorArchitecture="amd64"'.


Additional info:
vdc_options table is no longer a valid place for SysPrep*Path parameters and should be removed from it. 
Filed bug 1086768 to track this issue.

Comment 9 errata-xmlrpc 2014-06-09 15:04:33 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0506.html


Note You need to log in before you can comment on or make changes to this bug.